body {
    margin: 0;
    padding: 0;
    display: flex;
    height: 100vh;
    width: 100vh;
    overflow: hidden;
    font-family: 'Microsoft YaHei', sans-serif;
    background: linear-gradient(rgba(3, 42, 61, 0.2), rgba(0, 250, 229, 0.4)), /* 半透明遮罩层 */
    url('../model/title.jpg') no-repeat center top/cover fixed;
}



/* 标题栏容器 */
.title-bar {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 70px;
    /*background: url('../model/title.jpg') no-repeat center center/cover; /* 添加背景图片 */
    border-bottom: 0px solid #000000;
    box-shadow: 0 0 50px rgba(0, 255, 255, 0);
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 30px;
    z-index: 1005;
    overflow: hidden;
}

/* 添加半透明遮罩层 */
.title-bar::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(3, 42, 61, 0);
    z-index: 1;
}

/* 调整扫描线效果的层级 */
.title-bar::before {
    z-index: 2; /* 确保在遮罩层上方 */
}

/* 保证文字内容在顶层 */
.title-text {
    color: #d4d8d8;
    font-family: 'Arial', sans-serif;
    font-size: 36px;
    font-weight: bold;
    text-shadow: 0 0 15px rgba(95, 97, 97, 0.8);
    position: relative;
    z-index: 3;
}


/* 两侧副标题样式 */

.sub-title {
    flex: 1;
    color: #ffffff;
    font-family: 'Arial', sans-serif;
    font-size: 26px;
    text-shadow: 0 0 10px rgba(0, 255, 255, 0.5);
    position: relative;
    z-index: 3;
}


/* 左侧单位名称 */

.unit-info {
    text-align: left;
    padding-left: 20px;
}


/* 右侧时间显示 */

.time-display {
    text-align: right;
    padding-right: 40px;
}




@keyframes scanLine {
    0% {
        transform: translateX(-100%);
    }
    100% {
        transform: translateX(100%);
    }
}